# Check whether the scenario value is within payment validation (to be abandoned)
Interface to be discarded, please use to place a single pre-check base library interface
# Dxplaination of Interface Call Request
WeChat The background will verify the payment (ticket / order information) at the cashier in accordance with the scene value within the scope of the payment verification
List of enumerations of scenario values
Getting a scenario value guide
http请求方式:POST
https://api.weixin.qq.com/shop/scene/check?access_token=xxxxxxxxx
# Example of request parameters
{
"scene": 1175
}
# Examples of back-up
{
"errcode": 0,
"errmsg":"ok",
"is_matched": 1
}
# Dxplaination of request parameters
| 参数 | type | Is it compulsory? | Introductions |
|---|---|---|---|
| scene | number | yes | Scenarios Values |
# Dxplaination of callback parameters
| 参数 | type | Introductions |
|---|---|---|
| errcode | number | Error code |
| errmsg | string | Error message |
| is_matched | enum | Is there a need to pay for validation, 1: Yes, 0: No |
| requiredFundType | enum | Require_order = 1, 0, non-secondary merchant order, 1, secondary merchant order, 2, both ways (only 1 will exist) |